Read all associated parties
curl --request GET \
--url https://api.lumx.io/customers/{id}/associated-parties \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumx.io/customers/{id}/associated-parties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumx.io/customers/{id}/associated-parties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "INDIVIDUAL",
"roles": [],
"name": "Maria Santos",
"taxId": "987.654.321-00",
"birthDate": "1985-07-10",
"email": "maria.santos@example.com",
"address": {
"country": "BRA",
"line1": "Rua das Flores, 123",
"city": "São Paulo",
"state": "SP",
"postalCode": "01234-567"
},
"ownershipPercentage": 40,
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verification": {
"status": "NOT_STARTED",
"level": "STANDARD",
"link": "https://in.sumsub.com/websdk/p/sbx_aA00bB11cC33dD44"
},
"createdAt": "2024-01-15T11:00:00Z",
"updatedAt": "2024-01-15T11:00:00Z"
}
]
}Customers
Read all associated parties
This endpoint reads all associated parties of a business customer.
GET
/
customers
/
{id}
/
associated-parties
Read all associated parties
Authorizations
Bearer authentication header on the format Bearer <API_KEY>.
Path Parameters
Customer's unique identifier.
Response
200 - application/json
Associated parties successfully retrieved.
- Individual
- Business
Show child attributes
Show child attributes
⌘I